'------------------------------------------------------------------------------
' <auto-generated>
'     このコードはテンプレートから生成されました。
'
'     このファイルを手動で変更すると、アプリケーションで予期しない動作が発生する可能性があります。
'     このファイルに対する手動の変更は、コードが再生成されると上書きされます。
' </auto-generated>
'------------------------------------------------------------------------------

Imports System
Imports System.Collections.Generic

Partial Public Class Standard
    Public Property StandardId As Integer
    Public Property StandardName As String
    Public Property Description As String

    Public Overridable Property Students As ICollection(Of Student) = New HashSet(Of Student)
    Public Overridable Property Teachers As ICollection(Of Teacher) = New HashSet(Of Teacher)

End Class
